/*
 * EpsilonClosure.h
 *
 *  Created on: 16. 1. 2014
 *      Author: tomas
 */

#ifndef EPSILONCLOSURE_H_
#define EPSILONCLOSURE_H_

#include <automaton/FSM/FSM.h>
#include <automaton/State.h>

#include <AlibException.h>

#include <set>
#include <map>
#include <queue>

namespace epsilon
{

class EpsilonClosure
{
public:
    static std::set<automaton::State> closure( automaton::FSM const& fsm, automaton::State const& state );
};

} /* namespace epsilon */

#endif /* EPSILONCLOSURE_H_ */
